CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

打印样式名称属性 (ActiveX)

2023-1-3 08:33| 发布者: admin| 查看: 515| 评论: 0|来自: AutoCAD

摘要: 指定对象、对象组或图层的打印样式名称。

指定对象、对象组或图层的打印样式名称。

支持的平台:仅窗口

签名

工 务 局:

object.PlotStyleName
对象

类型:所有图形对象属性引用维度图层MLeaderLeader,SubDMeshEdge,SubDMeshFace,SubDMeshVertexSubEntity,SubEntSolidEdge,SubEntSolidFace,SubEntSolidNode,SubEntSolidVertex

此属性适用的对象。

属性值

只读:不;除了只写的对象Group

类型:字符串

对象的打印样式名称。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_PlotStyleName()
    ' This example creates a circle in model space and then
    ' finds the current PlotStyleName for the circle.
   
    Dim circleObj As AcadCircle
    Dim centerPoint(0 To 2) As Double
    Dim radius As Double
    
    ' Define the circle
    centerPoint(0) = 0#: centerPoint(1) = 0#: centerPoint(2) = 0#
    radius = 5#
    
    ' Create the Circle object in model space
    Set circleObj = ThisDrawing.ModelSpace.AddCircle(centerPoint, radius)
    ZoomAll
    
    ' Find the PlotStyleName for the circle
    MsgBox "The current PlotStyleName for the circle is " & circleObj.PlotStyleName
        
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_PlotStyleName()
    ;; This example creates a circle in model space and then
    ;; finds the current PlotStyleName for the circle.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; Define the circle
    (setq centerPoint (vlax-3d-point 0 0 0)  
          radius 5)
    
    ;; Create the Circle object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq circleObj (vla-AddCircle modelSpace centerPoint radius))
    (vla-ZoomAll acadObj)
    
    ;; Find the PlotStyleName for the circle
    (alert (strcat "The current PlotStyleName for the circle is " (vla-get-PlotStyleName circleObj)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 13:58

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部